YSTest: YSLib::Components::Thumb Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
YSLib::Components::Thumb Class Reference

基本按钮。 More...

`#include <button.h>`

Inheritance diagram for YSLib::Components::Thumb:
[legend]
Collaboration diagram for YSLib::Components::Thumb:
[legend]

## Public Member Functions

| Thumb (const Rect &={}, Drawing::Hue=180)
| 构造：使用指定边界和色调。
| Thumb (Thumb &&)=default
bool | IsPressed () const ynothrow
| 判断按钮当前是否处于按下状态。
Public Member Functions inherited from YSLib::Components::Control
| Control (const Rect &={})
| 构造：使用指定边界，默认背景（同 Widget 默认构造）。
| Control (const Rect &, NoBackgroundTag)
| 构造：使用指定边界，无背景。
| Control (const Control &)
| 复制构造：除容器为空外深复制。
| Control (Control &&)=default
virtual IWidget * | GetBoundControlPtr (const KeyInput &)
| 取按键-指针设备输入默认事件组映射。
void | OnTouch_Close (TouchEventArgs &&)
| 处理屏幕事件：关闭显示。
Public Member Functions inherited from YSLib::Components::Widget
| Widget (const Rect &={}, Color=Drawing::ColorSpace::White, Color=Drawing::ColorSpace::Black)
template<typename _tView , typename _tRenderer , typename _tController >
| Widget (_tView &&pView_=make_unique< View >(), _tRenderer &&pRenderer_=make_unique< Renderer >(), _tController &&pController_={})
| 构造：使用视图指针、渲染器指针和控制器指针，无背景。
| Widget (const Widget &)
| 复制构造：除容器指针为空外深复制。
| Widget (Widget &&)=default
virtual | ~Widget ()
| 析构：虚实现。
SPos | GetX () const ynothrow
SPos | GetY () const ynothrow
SDst | GetWidth () const ynothrow
SDst | GetHeight () const ynothrow
virtual Renderer & | GetRenderer () const ynothrow
| 取渲染器。
virtual View & | GetView () const ynothrow
| 取部件视图。
virtual AController & | GetController () const override
| 取控制器。
virtual WidgetRange | GetChildren () override
void | SetX (SDst _tempArgName)
void | SetY (SDst _tempArgName)
void | SetWidth (SDst _tempArgName)
void | SetHeight (SDst _tempArgName)
void | SetRenderer (unique_ptr< Renderer > &&)
| 设置渲染器为指定指针指向的对象，同时更新渲染器状态。
void | SetView (unique_ptr< View > &&)
| 设置渲染器为指定指针指向的对象，同时更新渲染器状态。
virtual void | Refresh (PaintEventArgs &&)
| 刷新：按指定参数绘制界面并更新状态。
Public Member Functions inherited from YSLib::Components::IWidget
virtual | ~IWidget ()

## Protected Member Functions

| Thumb (const Rect &, NoBackgroundTag)
| 无背景构造：使用指定边界。

## Protected Attributes

bool | bPressed
| 按下状态：表示按钮当前是否处于按下状态。

## Additional Inherited Members

Public Attributes inherited from YSLib::Components::Control
std::function< IWidget *(const KeyInput &)> | BoundControlPtr
| 按键-指针设备输入事件组映射。

## Detailed Description

基本按钮。

Since
  build 205

Definition at line 43 of file button.h.

## Constructor & Destructor Documentation

YSLib::Components::Thumb::Thumb | ( | const Rect & | = `{}`,
|  | Drawing::Hue | = `180`
| ) |  |

explicit

构造：使用指定边界和色调。

Since
  build 337

YSLib::Components::Thumb::Thumb | ( | const Rect & | ,
|  | NoBackgroundTag |
| ) |  |

explicitprotected

无背景构造：使用指定边界。

Since
  build 311

YSLib::Components::Thumb::Thumb | ( | Thumb && |  | ) |

inlinedefault

## Member Function Documentation

bool YSLib::Components::Thumb::IsPressed | ( |  | ) | const

inline

判断按钮当前是否处于按下状态。

Since
  build 302

Definition at line 75 of file button.h.

## Member Data Documentation

bool YSLib::Components::Thumb::bPressed

protected

按下状态：表示按钮当前是否处于按下状态。

Since
  build 288

Definition at line 50 of file button.h.

Referenced by YSLib::Components::DropDownList::Refresh().

The documentation for this class was generated from the following file:

- button.h